| Oyranos Colour Management System API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Profile Lists API
Profile API
Collaboration diagram for Profile Lists API:

## Functions
char ** | oyProfileListGet (const char *coloursig, uint32_t *size, oyAlloc_f allocateFunc)
| get a list of profile filenames More...

## Detailed Description

Low level and fast functions to handle profile name lists.

See also
  path_names

## Function Documentation

char** oyProfileListGet | ( | const char * | coloursig,
|  | uint32_t * | size,
|  | oyAlloc_f | allocateFunc
| ) |  |

get a list of profile filenames

Parameters

  | coloursig | filter as ICC 4 byte string
  [out] | size | profile filenames count

Returns
  the profiles filename list allocated within Oyranos

See also
  path_names